\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Arrangements

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
CGAL::Arr_oblivious_side_tag Class Reference
Tags

`#include <CGAL/Arr_tags.h>`

## Definition

The categories `Left_side_category`, `Right_side_category`, `Bottom_side_category`, and `Top_side_category`, nested in any model of the `ArrangementBasicTraits_2`, must be convertible to `Arr_oblivious_side_tag`.

`Arr_oblivious_side_tag` is an empty construct used for dispatching functions based on type of curves that induce the arrangement.

See Also
  `Arr_open_side_tag`
  `ArrangementBasicTraits_2`